Error
A valid request URL is required to generate request examples{
"object": "list",
"has_more": true,
"data": [
{
"id": "<string>",
"object": "terminal_batch_item",
"batch_id": "<string>",
"merchant_id": "<string>",
"livemode": true,
"operation": "sale",
"amount": 123,
"currency": "<string>",
"external_reference": "<string>",
"charge_id": "<string>",
"refund_id": "<string>",
"occurred_at": 123,
"created_at": 123
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Terminal batches
List Terminal batch items
Lists the transaction records in the batch’s latest persisted snapshot.
GET
/
terminal_batches
/
{id}
/
items
Error
A valid request URL is required to generate request examples{
"object": "list",
"has_more": true,
"data": [
{
"id": "<string>",
"object": "terminal_batch_item",
"batch_id": "<string>",
"merchant_id": "<string>",
"livemode": true,
"operation": "sale",
"amount": 123,
"currency": "<string>",
"external_reference": "<string>",
"charge_id": "<string>",
"refund_id": "<string>",
"occurred_at": 123,
"created_at": 123
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Merchant secret key, or an authorized Platform secret key with delegation where documented.
Headers
Merchant ID when an authorized Platform acts for a connected Merchant.
Pattern:
^mer_[0-9A-Za-z]{14}$Path Parameters
Ionic Terminal batch ID.
Pattern:
^tmb_[0-9A-Za-z]{24}$Query Parameters
Page size. Defaults to 20 and cannot exceed 100.
Required range:
1 <= x <= 100Return objects after this resource ID.
Response
A page of batch items.

